CERT NetSA Security Suite
Monitoring for Large-Scale Networks

# fixbuf

Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fbInfoElementOptRec_st Struct Reference

The corresponding struct to the Information Element Type Options Template. More...

`#include <public.h>`

## Data Fields

uint64_t | ie_range_begin
| ie range min
uint64_t | ie_range_end
| ie range max
uint32_t | ie_pen
| private enterprise number
uint16_t | ie_units
| ie units
uint16_t | ie_id
| information element id
uint8_t | ie_type
| ie data type
uint8_t | ie_semantic
| ie semantic
uint8_t | padding [6]
| padding to align with template
fbVarfield_t | ie_name
| information element name
fbVarfield_t | ie_desc
| information element description

## Detailed Description

The corresponding struct to the Information Element Type Options Template.

If collecting this element, use the function fbInfoElementAddOptRecElem() to add this element to the info model.

The documentation for this struct was generated from the following file:

- public.h